import { Type } from './types/type';
import { Registry } from './registry';
import { Providers } from './providers';
import { InjectableType } from './types/injectable-type';
export declare class Instances {
    private readonly instances;
    addInstance(type: Type, ins: any): void;
    getInstance(type: Type): any;
}
export declare class DependencyResolver {
    private readonly registry;
    private readonly providers;
    private readonly instances;
    constructor(registry: Registry, providers: Providers, instances: Instances);
    resolve(type: InjectableType): any;
    private createAndGetSingletone;
    private instantiate;
    private getOriginalConstructor;
}
//# sourceMappingURL=dependency-resolver.d.ts.map